Name:           ocaml-rss
Version:        2.2.2
Release:        %mkrel 7
Summary:        OCaml library to read and write RSS files
License:        LGPL3
Group:          Development/OCaml
URL:            http://zoggy.github.com/ocamlrss/
Source0:        http://zoggy.github.com/ocamlrss/ocamlrss-%{version}.tar.gz
Source1:        test.ml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-xmlm-devel
Requires:       ocaml-xmlm
Requires:       ocaml-ocamlnet

%description
OCaml-RSS is a small OCaml library providing functions to parse and print
RSS 2.0 files. The parser can also parse some RDF files, but some fields are
not taken into account. There is still some work to do (add missing RSS 2.0
attributes, add convenient functions).

OCaml-RSS was previously part of Cameleon but is now developped separately
and is findlib compatible.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ocamlnet-devel
Requires:       ocaml-xmlm-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlrss-%{version}
cp %{SOURCE1} .

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/rss
make install
rm -f $OCAMLFIND_DESTDIR/rss/LICENSE

%files
%doc README LICENSE
%dir %{_libdir}/ocaml/rss
%{_libdir}/ocaml/rss/META
%{_libdir}/ocaml/rss/*.cmi
%{_libdir}/ocaml/rss/*.cma
%{_libdir}/ocaml/rss/*.cmxs

%files devel
%doc html/
%doc test.rss
%doc test.ml
%{_libdir}/ocaml/rss/*.a
%{_libdir}/ocaml/rss/*.cmxa
%{_libdir}/ocaml/rss/*.cmx
%{_libdir}/ocaml/rss/*.mli


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 2.2.2-7.mga6
+ Revision: 964024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-6.mga5
+ Revision: 751013
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-5.mga5
+ Revision: 683098
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 2.2.2-4.mga5
+ Revision: 674102
- rebuild for new ocamlnet

* Sat Oct 19 2013 umeabot <umeabot> 2.2.2-3.mga4
+ Revision: 535767
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 2.2.2-2.mga4
+ Revision: 482514
- rebuild for ocaml-4.01.0

* Mon Aug 19 2013 blue_prawn <blue_prawn> 2.2.2-1.mga4
+ Revision: 467700
- updated to last version 2.2.2

* Wed Jul 31 2013 blue_prawn <blue_prawn> 2.2.1-1.mga4
+ Revision: 461521
- updated to last version 2.2.1

* Sun Apr 07 2013 malo <malo> 2.1.0-1.mga4
+ Revision: 408965
- update to 2.1.0 final

* Sun Jan 13 2013 umeabot <umeabot> git20120829-5.mga3
+ Revision: 361593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> git20120829-4.mga3
+ Revision: 341161
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> git20120829-3.mga3
+ Revision: 301578
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> git20120829-2.mga3
+ Revision: 300478
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> git20120829-1.mga3
+ Revision: 285564
- imported package ocaml-rss

